Index: LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 2641)
@@ -253,6 +253,32 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: sens, flwp, fiwp 
 !$OMP THREADPRIVATE(sens, flwp, fiwp)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: ale_wake, alp_wake, bils
-!$OMP THREADPRIVATE(ale_wake, alp_wake, bils)
+!!
+!!         Wake variables
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: ale_wake, alp_wake
+!$OMP THREADPRIVATE(ale_wake, alp_wake)           
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: wake_h
+!$OMP THREADPRIVATE(wake_h)                       
+    REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)            :: wake_omg
+!$OMP THREADPRIVATE(wake_omg)                     
+    REAL, SAVE, ALLOCATABLE,DIMENSION(:,:)          :: d_deltat_wk, d_deltaq_wk
+!$OMP THREADPRIVATE(d_deltat_wk, d_deltaq_wk)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: d_s_wk, d_dens_wk
+!$OMP THREADPRIVATE(d_s_wk, d_dens_wk)
+    REAL, SAVE, ALLOCATABLE,DIMENSION(:,:)          :: d_deltat_wk_gw, d_deltaq_wk_gw
+!$OMP THREADPRIVATE(d_deltat_wk_gw, d_deltaq_wk_gw)
+    REAL, SAVE, ALLOCATABLE,DIMENSION(:,:)          :: d_deltat_vdf, d_deltaq_vdf
+!$OMP THREADPRIVATE(d_deltat_vdf, d_deltaq_vdf)
+!!!      REAL,ALLOCATABLE,SAVE,DIMENSION(:)          :: d_s_vdf, d_dens_vdf
+!!!OMP THREADPRIVATE(d_s_vdf, d_dens_vdf)
+    REAL, SAVE, ALLOCATABLE,DIMENSION(:,:)          :: d_deltat_the, d_deltaq_the
+!$OMP THREADPRIVATE(d_deltat_the, d_deltaq_the)
+!!!      REAL,ALLOCATABLE,SAVE,DIMENSION(:)          :: d_s_the, d_dens_the
+!!!OMP THREADPRIVATE(d_s_the, d_dens_the)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)           :: d_deltat_ajs_cv, d_deltaq_ajs_cv
+!$OMP THREADPRIVATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)                       
+!!         End of Wake variables
+!!
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: bils
+!$OMP THREADPRIVATE(bils)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cdragm, cdragh
 !$OMP THREADPRIVATE(cdragm, cdragh)
@@ -312,12 +338,10 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: dqvdf_x, dqvdf_w
 !$OMP THREADPRIVATE(dqvdf_x, dqvdf_w)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: undi_tke, wake_tke
-!$OMP THREADPRIVATE(undi_tke, wake_tke)
 ! Variables supplémentaires dans physiq.F relative au splitting de la surface
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:,:) :: pbl_tke_input
 !$OMP THREADPRIVATE(pbl_tke_input)
 ! Entree supplementaire Thermiques :
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: t_therm, q_therm
-!$OMP THREADPRIVATE(t_therm, q_therm)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: t_therm, q_therm, u_therm, v_therm
+!$OMP THREADPRIVATE(t_therm, q_therm, u_therm, v_therm)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cdragh_x, cdragh_w
 !$OMP THREADPRIVATE(cdragh_x, cdragh_w)
@@ -330,6 +354,6 @@
 !>jyg+nrlmd
   !
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: wake_h, wbeff, zmax_th, zq2m, zt2m
-!$OMP THREADPRIVATE(wake_h, wbeff, zmax_th, zq2m, zt2m)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: wbeff, zmax_th, zq2m, zt2m
+!$OMP THREADPRIVATE(wbeff, zmax_th, zq2m, zt2m)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zt2m_min_mon, zt2m_max_mon
 !$OMP THREADPRIVATE(zt2m_min_mon, zt2m_max_mon)
@@ -365,6 +389,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: ref_liq_pi, ref_ice_pi
 !$OMP THREADPRIVATE(ref_liq_pi, ref_ice_pi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: wake_omg, zx_rh
-!$OMP THREADPRIVATE(wake_omg, zx_rh)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zx_rh
+!$OMP THREADPRIVATE(zx_rh)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: pmflxr, pmflxs, prfl, psfl, fraca
 !$OMP THREADPRIVATE(pmflxr, pmflxs, prfl, psfl, fraca)
@@ -530,5 +554,20 @@
       ALLOCATE(tal1(klon), pal1(klon), pab1(klon), pab2(klon))
       ALLOCATE(ptstar(klon),pt0(klon),slp(klon))
-      ALLOCATE(ale_wake(klon), alp_wake(klon), bils(klon))
+!!
+!!          Wake variables
+      ALLOCATE(ale_wake(klon), alp_wake(klon))
+      ALLOCATE(wake_h(klon))
+      ALLOCATE(wake_omg(klon, klev))
+      ALLOCATE(d_deltat_wk(klon, klev), d_deltaq_wk(klon, klev))
+      ALLOCATE(d_s_wk(klon), d_dens_wk(klon))
+      ALLOCATE(d_deltat_wk_gw(klon, klev), d_deltaq_wk_gw(klon, klev))
+      ALLOCATE(d_deltat_vdf(klon, klev), d_deltaq_vdf(klon, klev))
+!!      ALLOCATE( d_s_vdf(klon), d_dens_vdf(klon))
+      ALLOCATE(d_deltat_the(klon, klev), d_deltaq_the(klon, klev))
+!!      ALLOCATE( d_s_the(klon), d_dens_the(klon))
+      ALLOCATE(d_deltat_ajs_cv(klon, klev), d_deltaq_ajs_cv(klon, klev))
+!!         End of wake variables
+!!
+      ALLOCATE(bils(klon))
       ALLOCATE(cdragm(klon), cdragh(klon), cldh(klon), cldl(klon))
       ALLOCATE(cldm(klon), cldq(klon), cldt(klon), qsat2m(klon))
@@ -561,12 +600,11 @@
       ALLOCATE(dtvdf_x(klon,klev), dtvdf_w(klon,klev))
       ALLOCATE(dqvdf_x(klon,klev), dqvdf_w(klon,klev))
-      ALLOCATE(undi_tke(klon,klev), wake_tke(klon,klev))
       ALLOCATE(pbl_tke_input(klon,klev+1,nbsrf))
-      ALLOCATE(t_therm(klon,klev), q_therm(klon,klev))
+      ALLOCATE(t_therm(klon,klev), q_therm(klon,klev),u_therm(klon,klev), v_therm(klon,klev))
       ALLOCATE(cdragh_x(klon), cdragh_w(klon))
       ALLOCATE(cdragm_x(klon), cdragm_w(klon))
       ALLOCATE(kh(klon), kh_x(klon), kh_w(klon))
 !
-      ALLOCATE(wake_h(klon), wbeff(klon), zmax_th(klon))
+      ALLOCATE(wbeff(klon), zmax_th(klon))
       ALLOCATE(zq2m(klon), zt2m(klon), weak_inversion(klon))
       ALLOCATE(zt2m_min_mon(klon), zt2m_max_mon(klon))
@@ -589,5 +627,5 @@
       ALLOCATE(ref_liq(klon, klev), ref_ice(klon, klev), theta(klon, klev))
       ALLOCATE(ref_liq_pi(klon, klev), ref_ice_pi(klon, klev))
-      ALLOCATE(zphi(klon, klev), wake_omg(klon, klev), zx_rh(klon, klev))
+      ALLOCATE(zphi(klon, klev), zx_rh(klon, klev))
       ALLOCATE(pmfd(klon, klev), pmfu(klon, klev))
 
@@ -741,5 +779,18 @@
       DEALLOCATE(tal1, pal1, pab1, pab2)
       DEALLOCATE(ptstar, pt0, slp)
-      DEALLOCATE(ale_wake, alp_wake, bils)
+!
+      DEALLOCATE(ale_wake, alp_wake)
+      DEALLOCATE(wake_h)
+      DEALLOCATE(wake_omg)
+      DEALLOCATE(d_deltat_wk, d_deltaq_wk)
+      DEALLOCATE(d_s_wk, d_dens_wk)
+      DEALLOCATE(d_deltat_wk_gw, d_deltaq_wk_gw)
+      DEALLOCATE(d_deltat_vdf, d_deltaq_vdf)
+!!      DEALLOCATE( d_s_vdf, d_dens_vdf)
+      DEALLOCATE(d_deltat_the, d_deltaq_the)
+!!      DEALLOCATE( d_s_the, d_dens_the)
+      DEALLOCATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)
+!
+      DEALLOCATE(bils)
       DEALLOCATE(cdragm, cdragh, cldh, cldl)
       DEALLOCATE(cldm, cldq, cldt, qsat2m)
@@ -770,12 +821,11 @@
       DEALLOCATE(dtvdf_x, dtvdf_w)
       DEALLOCATE(dqvdf_x, dqvdf_w)
-      DEALLOCATE(undi_tke, wake_tke)
       DEALLOCATE(pbl_tke_input)
-      DEALLOCATE(t_therm, q_therm)
+      DEALLOCATE(t_therm, q_therm, u_therm, v_therm)
       DEALLOCATE(cdragh_x, cdragh_w)
       DEALLOCATE(cdragm_x, cdragm_w)
       DEALLOCATE(kh, kh_x, kh_w)
 !
-      DEALLOCATE(wake_h, wbeff, zmax_th)
+      DEALLOCATE(wbeff, zmax_th)
       DEALLOCATE(zq2m, zt2m, weak_inversion)
       DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
@@ -798,5 +848,5 @@
       DEALLOCATE(ref_liq, ref_ice, theta)
       DEALLOCATE(ref_liq_pi, ref_ice_pi)
-      DEALLOCATE(zphi, wake_omg, zx_rh)
+      DEALLOCATE(zphi, zx_rh)
       DEALLOCATE(pmfd, pmfu)
 
Index: LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2641)
@@ -1658,3 +1658,7 @@
        "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))                                                                                  
 
+#ifdef CPP_Dust
+#include "Dust/spla_output_dat.h"
+#endif
+
 END MODULE phys_output_ctrlout_mod
Index: LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90	(revision 2641)
@@ -203,8 +203,8 @@
       REAL,ALLOCATABLE,SAVE :: cin(:)
 !$OMP THREADPRIVATE(cin)
-! ftd : differential heating between wake and environment
+! ftd : convective heating due to unsaturated downdraughts
       REAL,ALLOCATABLE,SAVE :: ftd(:,:)
 !$OMP THREADPRIVATE(ftd)
-! fqd : differential moistening between wake and environment
+! fqd : convective moistening due to unsaturated downdraughts
       REAL,ALLOCATABLE,SAVE :: fqd(:,:)     
 !$OMP THREADPRIVATE(fqd)
@@ -232,25 +232,24 @@
 ! wake_deltat : ecart de temperature avec la zone non perturbee
 ! wake_deltaq : ecart d'humidite avec la zone non perturbee
+! wake_s      : fraction surfacique occupee par la poche froide
+! wake_dens   : number of wakes per unit area
+! wake_occ    : occurence of wakes (= 1 if wakes occur, =0 otherwise)
 ! wake_Cstar  : vitesse d'etalement de la poche
-! wake_s      : fraction surfacique occupee par la poche froide
 ! wake_pe     : wake potential energy - WAPE
 ! wake_fip    : Gust Front Impinging power - ALP
-! dt_wake, dq_wake: LS tendencies due to wake
       REAL,ALLOCATABLE,SAVE :: wake_deltat(:,:)
 !$OMP THREADPRIVATE(wake_deltat)
       REAL,ALLOCATABLE,SAVE :: wake_deltaq(:,:)
 !$OMP THREADPRIVATE(wake_deltaq)
+      REAL,ALLOCATABLE,SAVE :: wake_s(:)
+!$OMP THREADPRIVATE(wake_s)
+      REAL,ALLOCATABLE,SAVE :: wake_dens(:)
+!$OMP THREADPRIVATE(wake_dens)
       REAL,ALLOCATABLE,SAVE :: wake_Cstar(:)
 !$OMP THREADPRIVATE(wake_Cstar)
-      REAL,ALLOCATABLE,SAVE :: wake_s(:)
-!$OMP THREADPRIVATE(wake_s)
       REAL,ALLOCATABLE,SAVE :: wake_pe(:)
 !$OMP THREADPRIVATE(wake_pe)
       REAL,ALLOCATABLE,SAVE :: wake_fip(:)
 !$OMP THREADPRIVATE(wake_fip)
-      REAL,ALLOCATABLE,SAVE :: dt_wake(:,:)
-!$OMP THREADPRIVATE(dt_wake)
-      REAL,ALLOCATABLE,SAVE :: dq_wake(:,:)
-!$OMP THREADPRIVATE(dq_wake)
 !
 !jyg<
@@ -524,7 +523,7 @@
       ALLOCATE(wght_th(klon,klev))
       ALLOCATE(wake_deltat(klon,klev), wake_deltaq(klon,klev))
-      ALLOCATE(wake_Cstar(klon), wake_s(klon))
+      ALLOCATE(wake_s(klon), wake_dens(klon))
+      ALLOCATE(wake_Cstar(klon))
       ALLOCATE(wake_pe(klon), wake_fip(klon))
-      ALLOCATE(dt_wake(klon,klev), dq_wake(klon,klev))
 !jyg<
       ALLOCATE(wake_delta_pbl_TKE(klon,klev+1,nbsrf+1))
@@ -664,6 +663,6 @@
       deallocate(lalim_conv, wght_th)
       deallocate(wake_deltat, wake_deltaq)
-      deallocate(wake_Cstar, wake_s, wake_pe, wake_fip)
-      deallocate(dt_wake, dq_wake)
+      deallocate(wake_s, wake_dens)
+      deallocate(wake_Cstar, wake_pe, wake_fip)
 !jyg<
       deallocate(wake_delta_pbl_TKE)
